source: trunk/dports/python/py-matplotlib/Portfile

Revision Log Mode:


Legend:

Added
Modified
Copied or renamed
Diff Rev Age Author Log Message
(edit) @153420   14 months sean py-matplotlib: update to 1.5.3
(edit) @149999   17 months sean py-matplotlib: update to 1.5.2
(edit) @148380   19 months michaelld rev-bumps for updated qhull ABI.
(edit) @147515   20 months petr py-matplotlib: add upstream patch for locale UTF-8, fixes #50717.
(edit) @145169   22 months michaelld py*-matplotlib: + simplify python.version check for +gtk3; + add …
(edit) @144656   22 months sean py-matplotlib: stealth update checksum; fixes #50322
(edit) @144617   22 months sean py-matplotlib: update to 1.5.1
(edit) @144290   23 months sean py-matplotlib: fix default variant; fixes #49899
(edit) @144224   23 months sean py-matplotlib: add patch for ppc; fixes #49607
(edit) @143296   2 years petr py-matplotlib: retire py26 and py33 subport, fixes #41145
(edit) @141911   2 years sean py-matplotlib: update to 1.5.0
(edit) @141243   2 years petr py-matplotlib: add py35 subport
(edit) @140163   2 years petr revert r140162
(edit) @140162   2 years petr py-openssl: retire py33 subport
(edit) @138393   2 years khindenburg py-matplotlib: add qhull as a dependency
(edit) @133476   3 years sean py-matplotlib: update to 1.4.3; fixes #47008
(edit) @127571   3 years sean py-matplotlib: update to 1.4.2
(edit) @127280   3 years mmoll py-matplotlib: pyside variant only enabled for py27 and py34 subports
(edit) @127138   3 years sean py-matplotlib: update to 1.4.1
(edit) @125473   3 years ryandesign py-matplotlib: update to 1.4.0 (#44812)
(edit) @121194   3 years sean py-matplotlib: disable gtk3 variant for python 3; fixes #44043
(edit) @118936   4 years sean py-matplotlib: add cairo as a default variant; closes #43114
(edit) @118778   4 years sean py-matplotlib: add missing gtk3 dependency; fixes #43091
(edit) @117990   4 years mmoll py-altgraph py-dateutil py-macholib py-matplotlib py-modulegraph …
(edit) @115019   4 years ryandesign revbump ports depending on libpng following libpng 1.6.x update (#41842)
(edit) @114490   4 years sean py-matplotlib: add gtk3 variant
(edit) @114489   4 years sean py-matplotlib: install the agg backend; fixes #40151
(edit) @114488   4 years sean py-matplotlib: remove +gtk2 variant for python 3; fixes #40586
(edit) @114324   4 years ryandesign python ports: use eq and ne when comparing ${subport} instead of == and !=
(edit) @114303   4 years michaelld various dports: allow use of either py*-pyqt4 or py*-pyqt4-devel.
(edit) @113756   4 years sean py-matplotlib: remove 3.1 due to numpy update
(edit) @113634   4 years michaelld py*-matplotlib: allow using py*-pyqt4 or py*-pyqt4-devel.
(edit) @113421   4 years sean py-matplotlib: update to 1.3.1 (#40802)
(edit) @113419   4 years macsforever2000 py-matplotlib: Sort dependencies. Add py-tornado. (#40134)
(edit) @109089   4 years jeremyhu py-matplotlib: Use compiler.blacklist
(edit) @109052   4 years stromnov py-matplotlib: update to version 1.3.0
(edit) @109050   4 years stromnov py-matplotlib: add modeline, reformat
(edit) @106539   4 years robitaille py-matplotlib: updated to 1.2.1, and included URL for official stable …
(edit) @106156   5 years aronnax py-matplotlib: fix typo, missing trailing slash Typo was introduced …
(edit) @106155   5 years aronnax py-matplotlib: add build dependency on pkgconfig Maintainer timeout.
(edit) @104430   5 years sean py-matplotlib: remove wxpython variant and update description
(edit) @104374   5 years sean py-matplotlib: remove unneeded default_version
(edit) @104373   5 years sean py-matplotlib: remove obsolete dependency
(edit) @104372   5 years sean py-matplotlib: add myself as maintainer
(edit) @103806   5 years g5pw python/py-matplotlib: add python33 subport
(edit) @101530   5 years ram python/py-matplotlib{,-basemap}: drop maintainership
(edit) @101344   5 years ram python/py-matplotlib: build fails with gcc-4.0 on Leopard, use gcc-4.2 …
(edit) @100868   5 years mk py-matplotlib: revbump due to update of tk to version 8.6 (#37444)
(edit) @100802   5 years vince py-matplotlib: add py31 and py32 subports
(edit) @100442   5 years g5pw python/py-matplotlib: update homepage
(edit) @100349   5 years g5pw multiple: fix py-pygtk dependencies closes #37251
(edit) @99839   5 years ram python/py-matplotlib: don't match rc versions
(edit) @99788   5 years ram python/py-matplotlib: python2{4,5} are no longer supported upstream
(edit) @99786   5 years ram python/py-matplotlib: upate to 1.2.0
(edit) @97436   5 years takanori ghostscript has been updated and the library name has also been …
(edit) @97300   5 years rmstonecipher graphics/libpng upgraded to version 1.5.12, 232 dependent ports …
(edit) @96406   5 years ram python/py-matplotlib: update to 1.1.1
(edit) @91266   6 years ram python/py-matplotlib: apply upstream patch that fixes build using …
(edit) @91020   6 years ryandesign py-matplotlib: change post-activate ui_msg to notes; slightly edit the …
(edit) @89881   6 years takanori ghostscript has been updated and the library name has also been …
(edit) @89564   6 years ram python/py-matplotlib: make MacOSX the default backend (#33056)
(edit) @88314   6 years ram python/py-matplotlib: add license, closes #32367
(edit) @87332   6 years jmr py-matplotlib: change py-tz dep to py24-tz, fix names of some other …
(edit) @87331   6 years jmr change py-dateutil deps to py24-dateutil
(edit) @87328   6 years jmr change py-numpy deps to py24-numpy
(edit) @86884   6 years ram python/py-matplotlib: don't run livecheck on all subports
(edit) @86622   6 years ryandesign py-matplotlib: use llvm-gcc-4.2 instead of clang; see #31046
(edit) @86236   6 years ram python/py-matplotlib: fix livecheck
(edit) @85687   6 years ram python/py-matplotlib: update to 1.1.0
(edit) @83552   6 years ram python/py-matplotlib: apply upstream 8955, closes #30846
(edit) @82741   6 years jmr typo
(edit) @82740   6 years jmr py-matplotlib: fix stub
(edit) @82495   6 years ram python/py*-matplotlib: unify
(edit) @82296   6 years takanori Bumped revision up since ghostscript was updated to 9.04. (libgs.9.02 …
(edit) @77486   7 years takanori Bumped revision up since ghostscript was updated to 9.02. (libgs.9.01 …
(edit) @75871   7 years takanori Bumped revision up since ghostscript was updated to 9.01. (libgs.9.00 …
(edit) @75159   7 years rmstonecipher graphics/libpng upgraded version from 1.2.44 to 1.4.5 per ticket …
(edit) @71219   7 years takanori Bumped revision up since ghostscript was updated to 9.00. - …
(edit) @64025   8 years ryandesign py-matplotlib: fix typo in dependency in gtk2 variant
(edit) @57375   8 years ryandesign Change deprecated livecheck.check to livecheck.type See …
(edit) @57120   8 years ram python/py-matplotlib: let MacTeX satisfy texlive dependency
(edit) @56550   8 years ram python/py{,25,26}-matplotlib: fix build on 10.6, closes #20878
(edit) @55206   8 years ram python/py{,25,26}-matplotlib: update to 0.99.0
(edit) @52410   8 years ram python/{py,py25,py26}-matplotlib: disable livecheck
(edit) @51131   9 years ram python/py-matplotlib: update to 0.98.5.3
(edit) @50902   9 years ram python/py-matplotlib: fix syntax error
(edit) @50897   9 years ram python/py-matplotlib: also check for qt4 prior to setting default variant
(edit) @48823   9 years ram py-matplotlib/py25-matplotlib: enable Qt4Agg backend, closes #19006
(edit) @48002   9 years ram py-matplotlib/py25-matplotlib: only use pyobjc2 on Leopard, fixes #18797
(edit) @45788   9 years ram py-matplotlib/py25-matplotlib: support CocoaAgg backend
(edit) @44636   9 years ram py-matplotlib/py25-matplotlib: update livecheck
(edit) @44335   9 years ram py-matplotlib/py25-matplotlib: update to 0.98.5.2
(edit) @44330   9 years ram python/py-matplotlib: sync with py25-matplotlib, closes #17765 & #17766
(edit) @38954   9 years ram drop maintainership of python24 ports, no longer use
(edit) @38952   9 years ram py-matplotlib/py25-matplotlib: update to 0.98.3
(edit) @37975   9 years ram py-matplotlib/py25-matplotlib: update to 0.98.2
(edit) @37908   9 years ram py-matplotlib/py25-matplotlib: link against MacPorts Tcl/Tk, closes #15706
(edit) @37527   9 years ram py-matplotlib/py25-matplotlib: update to 0.98.0
(edit) @37475   9 years ram py-matplotlib/py25-matplotlib: whitespace only changes
(edit) @37467   9 years ram py-matplotlib/py25-matplotlib: open supports numpy
Note: See TracRevisionLog for help on using the revision log.